AutoCAD Civil 3D General Discussion

Reply
Distinguished Contributor
dibr0804
Posts: 127
Registered: ‎06-29-2010
Message 1 of 6 (739 Views)
Accepted Solution

Using UCS to rotate

739 Views, 5 Replies
07-26-2010 08:29 AM

Hi, I haven't used UCS in awhile and I cant remember what I need to do when I want to rotate the drawing in my paper space.. I typed UCS--> 3 ---> pick my new axis and then the x,y indicator on the bottom left changes to how I want it to be presented but the drawing itself doesnt..

Pic1 is how it is normally and Pic 2 is how I want it

Thanks

Valued Mentor
tschau3
Posts: 504
Registered: ‎10-04-2007
Message 2 of 6 (737 Views)

Re: Using UCS to rotate

07-26-2010 08:32 AM in reply to: dibr0804

Use the PLAN command with the "Current" option.

Active Member
tmacdonald
Posts: 7
Registered: ‎01-07-2008
Message 3 of 6 (695 Views)

Re: Using UCS to rotate

07-26-2010 01:38 PM in reply to: dibr0804

"Plan=>current" is exactly right. I even open up the UCS settings and name the UCS so I can pick it out in later vp's.

 

Anthony MacDonald, E.I.T.

WLC Engineering, Surveying and Planning

Gillette, Wyoming

[Civil 3D 2010 SP2, Windows XP SP3, Intel Core2 6600 @2.4GHz, 2.40GHz, 3.25 GB RAM]

Valued Contributor
CADvisers
Posts: 80
Registered: ‎01-03-2008
Message 4 of 6 (297 Views)

Re: Using UCS to rotate

12-27-2012 07:04 AM in reply to: dibr0804

An easier method that I use all the time is > Express Tools > Align Space...

 

 

 

Jonathan Stewart
CADvisers
P.O. Box 7811
Lancaster, PA 17604
Ph. 717-468-3111


*Expert Elite*
AllenJessup
Posts: 5,817
Registered: ‎05-21-2003
Message 5 of 6 (285 Views)

Re: Using UCS to rotate

12-27-2012 08:11 AM in reply to: dibr0804

Having learned this years ago. I prefer the Dview > Twist method. After I have the MS view as I want it. I save it as a View. That way if I happen to pick a coordinate from the viewport. I don't have to worry that the UCS might have change it.

*Expert Elite*
doni49
Posts: 1,435
Registered: ‎12-22-2012
Message 6 of 6 (220 Views)

Re: Using UCS to rotate

01-03-2013 01:58 PM in reply to: dibr0804

I agree.  I like to know that the coordinates are right.

 

For that reason, I wrote the following lsp routine. It uses DView>Twist to rotate my view & sets ortho mode to match the screen.

 

(defun dtr (x)(* pi (/ x 180.0)))
(defun rtd (x) (* x (/ 180.0 pi)))
(defun c:dvtwist()
  (setq pt1(getpoint "Select the first point:  "))
  (setq pt2(getpoint "Select the second point:  " pt1))
  (setq ang(angle pt1 pt2))
  (command "Dview" "" "tw" (- 0 (rtd ang)) "")
  (setvar "snapang" ang)
)

 

P.S.  You pick two points that you want to represent your new horizontal (the first being your new left side).

Don Ireland



If a reply solves your issue, please remember to click on "Accept as Solution". This will help other users looking to solve a similar issue. Thank you.


Forum links:
AutoCAD 2013/2014/2015
AutoCAD 2010/2011/2012

AutoLISP, VB and other AutoCAD customization


Civil 3D General
Civil 3d Cusomization

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community


Civil 3D Exchange Apps

Created by the community for the community, Autodesk Exchange Apps for AutoCAD Civil 3D helps you achieve greater speed, accuracy, and automation from concept to manufacturing.

Connect with Civil 3D

Twitter

Facebook

Blogs